# Class MockPayload

#### Hierarchy

- unknown
  - MockPayload

- Defined in src/protobuf/pb_pb.d.ts:7675
- Defined in src/protobuf/pb_pb.d.ts:7690

#####
Index

### Constructors

constructor

### Methods

getMessage
getMessageVersion
serializeBinary
setMessage
setMessageVersion
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MockPayload(): MockPayload

- #### Returns MockPayload

  Inherited from jspb.Message.constructor

## Methods

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7679

### getMessageVersion

- getMessageVersion(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7676

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7682

### setMessage

- setMessage(value: string): MockPayload

- #### Parameters

  - ##### value: string

  #### Returns MockPayload

  - Defined in src/protobuf/pb_pb.d.ts:7680

### setMessageVersion

- setMessageVersion(value: string): MockPayload

- #### Parameters

  - ##### value: string

  #### Returns MockPayload

  - Defined in src/protobuf/pb_pb.d.ts:7677

### toObject

- toObject(includeInstance?: boolean): MockPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MockPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7683

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MockPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MockPayload

  - Defined in src/protobuf/pb_pb.d.ts:7686

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MockPayload, reader: BinaryReader): MockPayload

- #### Parameters

  - ##### message: MockPayload

  - ##### reader: BinaryReader

  #### Returns MockPayload

  - Defined in src/protobuf/pb_pb.d.ts:7687

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MockPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MockPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7685

### `Static` toObject

- toObject(includeInstance: boolean, msg: MockPayload): MockPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MockPayload

  #### Returns MockPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7684

Generated using TypeDoc